New metatrader 4 compatible indicators - page 23

maa1
20
maa1  

Dear people, I am using the !MTH Renko Chart Builder V2 but I notice that there is some messages in the dependencies tab - is this a problem - I notice MT4 (b600) takes some time to change to other tabs or windows now and then - could these be a problem?

Please advise when able, many thanks

Maa1

Files:
Mladen Rakic
160787
Mladen Rakic  
maa1:
Dear people, I am using the !MTH Renko Chart Builder V2 but I notice that there is some messages in the dependencies tab - is this a problem - I notice MT4 (b600) takes some time to change to other tabs or windows now and then - could these be a problem?

Please advise when able, many thanks

Maa1

There is no problem at all

It is simply showing what functions are used from the user32.dll and from stdlib library

maa1
20
maa1  

mladen, thank you for the fast answer - it is good to know. I am always learning something here

maa1

alvinkon
69
alvinkon  

Hi all,

Is there any good indicator (MTF MA with cross alert) same as attached which compatible with the new metatrader?

Thank you.

gtudor
275
gtudor  

"New metatrader compatible"

Again, can you please with these indicators for MT4 build 604 ?

Thanks very much !

Mladen Rakic
160787
Mladen Rakic  
altoronto:
Mladen, I know that you're swamped with these kind of requests so whenever you have time can you fix attached files for new MT4 build. Always grateful.

altoronto

Try these.You will get some warning messages, but they do not influence the work of the indicator so they are benign

Files:
altoronto
318
altoronto  

Thank you, work like a charm.

Mladen Rakic
160787
Mladen Rakic  
altoronto:
Thank you, work like a charm.

One thing that was blocking you was a "." (dot) in variable names. It is not allowed any more to use dots in variable names (it is reserved for classes now and can not be used as it was possible in "old" metatrader 4)

Mladen Rakic
160787
Mladen Rakic  

One PS (unrelated to previous posts) : as far as checking and conversion of stuff to new metatrader 4 I will help.

But since in my PM box I am getting more and more requests that I should correct something in the stuff posted along with new metatrader 4 code adjustments, my answer is going to be that sorry, but I am not going to check each and every code. What I do is compare if the results of the two versions are the same. If they work the same using build 509 and new builds that is it. I really do not have the time nor the will to correct all the stuff that gets here - please ask the authors of the code to correct anything that needs to be corrected (that is the same way I do : when I post something that I code then I correct it, but correcting all that is found on the net and that would eventually need to be corrected is completely out of my plans)

Mladen Rakic
160787
Mladen Rakic  

Corridor rsx - made new metatrader 4 compatible